SUBROUTINE DTLOC90
!use consts
use global
implicit none  
       
real(DP) :: f,ftry
integer :: i,iz
save

      F=0.
      DO 10 I=2,IMAXR
!-----DP OCT 1996
        DO 11 IZ=1,NLAYST
          FTRY=CINR(I,IZ)*(GFRR(I,IZ)+GFRR(I+1,IZ))
          IF(FTRY.GT.F) F=FTRY
   11   CONTINUE
!-----END DP OCT 1996
   10 CONTINUE
      DTRMAX=.99/F

RETURN
END subroutine DTLOC90